# Generated from adlint-3.2.14.gem by gem2rpm -*- rpm-spec -*-
%global gem_name adlint

Name: rubygem-%{gem_name}
Version: 3.2.14
Release: 1%{?dist}
Summary: AdLint :: Advanced Lint - An open source and free source code static analyzer
License: GPLv3+: GNU General Public License version 3 or later
URL: http://adlint.sourceforge.net/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
BuildArch: noarch

%description
AdLint is a source code static analyzer.
It can point out unreliable or nonportable code fragments, and can measure
various quality metrics of the source code.
It (currently) can analyze source code compliant with ANSI C89 / ISO C90 and
partly ISO C99.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/adlint
%{_bindir}/adlint_sma
%{_bindir}/adlint_cma
%{_bindir}/adlint_chk
%{_bindir}/adlintize
%license %{gem_instdir}/COPYING
%{gem_instdir}/INSTALL
%{gem_instdir}/MANIFEST
%{gem_instdir}/TODO
%{gem_instdir}/bin
%{gem_instdir}/etc
%{gem_libdir}
%{gem_instdir}/share
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/NEWS
%doc %{gem_instdir}/README
%{gem_instdir}/Rakefile
%{gem_instdir}/features
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 3.2.14-1
- Initial package
